#ifndef AUDIO
#define AUDIO

class Audio
{
public:

    Audio(void);
    virtual ~Audio(void);

    bool AudioWorking;

    char Mix_Init_Error[256];

    #define MusicTotal      9
    Mix_Music *MusicTrack[MusicTotal];
    int MusicVolume;
    Uint8 CurrentlySelectedMusicTrack;
    #define SoundTotal      10
    Mix_Chunk *SoundFX[SoundTotal];
    int SoundVolume;

    void SetupAudio(void);
    void PlayMusic(Uint8 musicIndex, int loop);
    void PlayDigitalSoundFX(Uint8 soundIndex, int loop);
};

#endif
