#ifndef DATA
#define DATA

class Data
{
public:

	Data(void);
	virtual ~Data(void);

    char HighScoresName[5][10][20];
    Uint8 HighScoresLevel[5][10];
    Uint32 HighScoresScore[5][10];

    bool NewHighScoreRegistered;

    int NameInputArayIndex;

//    Uint8 PlayerWithHighestScore;
    Uint8 PlayerRankOnGameOver;

    int NameInputJoyCharX;
    int NameInputJoyCharY;
    char NameInputJoyChar;

    void CheckForNewHighScore(void);

    void ClearHighScores(void);

    const char* EndOfLine;
    const char* EndOfLineForWindows;
    const char* EndOfLineForEverythingElse;

    char CharRead[5000];
    int CharReadIndexStart;
    int CharReadIndexEnd;
    char TextBuffer[256];
    void SetupCurrentLineReadFromFile(void);
    void LoadHighScoresAndOptions(void);

    int NumberOfCharsSaved;
    void TryToSaveDataLine(SDL_RWops *file, const char *dataLine);
    void SaveHighScoresAndOptions(void);

};

#endif
